{
  "db_name": "SQLite",
  "query": "SELECT m.did AS \"did!\", m.rkey AS \"rkey!\", m.uri AS \"uri!\", m.cid AS \"cid!\",\n                      m.name AS \"name!\", m.summary, m.created_at AS \"created_at!\",\n                      m.indexed_at AS \"indexed_at!\", m.record_json,\n                      (SELECT COUNT(*) FROM model_parts mp WHERE mp.model_uri = m.uri) AS \"part_count!: i64\"\n               FROM models m WHERE m.uri = ?",
  "describe": {
    "columns": [
      {
        "name": "did!",
        "ordinal": 0,
        "type_info": "Text",
        "origin": {
          "Table": {
            "table": "models",
            "name": "did"
          }
        }
      },
      {
        "name": "rkey!",
        "ordinal": 1,
        "type_info": "Text",
        "origin": {
          "Table": {
            "table": "models",
            "name": "rkey"
          }
        }
      },
      {
        "name": "uri!",
        "ordinal": 2,
        "type_info": "Text",
        "origin": {
          "Table": {
            "table": "models",
            "name": "uri"
          }
        }
      },
      {
        "name": "cid!",
        "ordinal": 3,
        "type_info": "Text",
        "origin": {
          "Table": {
            "table": "models",
            "name": "cid"
          }
        }
      },
      {
        "name": "name!",
        "ordinal": 4,
        "type_info": "Text",
        "origin": {
          "Table": {
            "table": "models",
            "name": "name"
          }
        }
      },
      {
        "name": "summary",
        "ordinal": 5,
        "type_info": "Text",
        "origin": {
          "Table": {
            "table": "models",
            "name": "summary"
          }
        }
      },
      {
        "name": "created_at!",
        "ordinal": 6,
        "type_info": "Integer",
        "origin": {
          "Table": {
            "table": "models",
            "name": "created_at"
          }
        }
      },
      {
        "name": "indexed_at!",
        "ordinal": 7,
        "type_info": "Integer",
        "origin": {
          "Table": {
            "table": "models",
            "name": "indexed_at"
          }
        }
      },
      {
        "name": "record_json",
        "ordinal": 8,
        "type_info": "Text",
        "origin": {
          "Table": {
            "table": "models",
            "name": "record_json"
          }
        }
      },
      {
        "name": "part_count!: i64",
        "ordinal": 9,
        "type_info": "Integer",
        "origin": "Expression"
      }
    ],
    "parameters": {
      "Right": 1
    },
    "nullable": [
      false,
      false,
      false,
      false,
      false,
      true,
      false,
      false,
      true,
      false
    ]
  },
  "hash": "cb63f0644d1292cbef3c90120958651726cedae0540644f34a5d8052480cca85"
}
